Skip to main content
PATCH
/
v1
/
accounts
/
{accountId}
/
settings
Update Account Settings
curl --request PATCH \
  --url https://api.us.lexful.app/v1/accounts/{accountId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "logo_url": "<string>",
  "auth_methods": []
}
'
import requests

url = "https://api.us.lexful.app/v1/accounts/{accountId}/settings"

payload = {
    "logo_url": "<string>",
    "auth_methods": []
}
headers = {
    "Authorization": "Bearer <token>",
    "X-Account-ID": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    Authorization: 'Bearer <token>',
    'X-Account-ID': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({logo_url: '<string>', auth_methods: []})
};

fetch('https://api.us.lexful.app/v1/accounts/{accountId}/settings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "logo_url": "<string>",
  "auth_methods": []
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

accountId
string<uuid>
required

Account ID

Body

application/json
logo_url
string<uri> | null

Account logo URL

auth_methods
enum<string>[]

Enabled authentication methods

Available options:
google_oauth,
microsoft_oauth,
login_link,
sso

Response

Default Response

logo_url
string<uri> | null

Account logo URL

auth_methods
enum<string>[]

Enabled authentication methods

Available options:
google_oauth,
microsoft_oauth,
login_link,
sso